Summary:	Word learning program
Name:		kanagram
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org/kanagram
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5sonnet-devel
BuildRequires:	libkeduvocdocument-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	kdeedu-data
Conflicts:	kde5-l10n < 17.04

%description
Kanagram is a replacement for KMessedWords. Kanagram mixes up the letters
of a word (creating an anagram), and you have to guess what the mixed up
word is. Kanagram features several built-in word lists, hints, and a cheat
feature which reveals the original word. Kanagram also has a vocabulary
editor, so you can make your own vocabularies, and distribute them through
Kanagram's KNewStuff download service.

%files -f %{name}.lang
%doc ChangeLog TODO COPYING COPYING.DOC
%{_kde5_applicationsdir}/org.kde.kanagram.desktop
%{_kde5_bindir}/kanagram
%{_kde5_datadir}/kanagram
%{_kde5_datadir}/config.kcfg/kanagram.kcfg
%{_kde5_iconsdir}/*/*/apps/kanagram*
%{_kde5_sysconfdir}/xdg/kanagram.knsrc
%{_appdatadir}/org.kde.kanagram.appdata.xml

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html
%kf5locales_fix %{name}.lang

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (3fef131) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (15f0015) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (c7304af) New version 17.04.3

* Thu Jun 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (c34e5d9) Merge locales from kde5-l10n
- (Andrey Bondrov: 4397daf) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (f27af40) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (93f7a77) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (6904237) MassBuild#1230: Increase release tag

* Sun Jan 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (9374109) Update files
- (Andrey Bondrov: 59993d0) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (ebe13dc) MassBuild#1212: Increase release tag

* Wed Nov 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (dc2d09b) New version 16.08.2
- (dc2d09b) Switch to KF5

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-2
- (25063e0) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
- (006269e) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
- (f7cd96b) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.13.2-2
- (5757023) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.2-1
- (7cb9d36) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.4-1
- (821b285) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.3-1
- (dd725d4) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.4-1
- (8324945) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.3-1
- (79e57ad) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.2-1
- (2c3f18b) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.5-1
- (a72703d) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.4-1
- (857b186) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.3-1
- (700ffd9) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.5-1
- (c3f8d79) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.4-1
- (c3d8569) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.3-1
- (14db3b3) LOG New version 4.9.3

* Fri Oct 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.2-1
- (d535ee0) New version 4.9.2

* Tue Sep 11 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.1-1
- (6757221) New version 4.9.1


